Dža ko lil

Flux 3 Image · Text to Image

Integriruj

Modelosko id blackforestlabs/flux-3/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kava mangipen: $0.048 48 API krediti Phir les kate

Lel API klidin
Black Forest Labs Teksto ko Kip 4K rezultatodži 4k #flux-3-image#black-forest-labs#typography

Tekstosar image 512 dži 4k resolution-tierenca, bute aspect-ratioenca thaj opcionale prompt-expandisaripeha

Black Forest Labs · Kip

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul

Prompto savo dromarel kipoqo generiripe.

resolution standardno 1k

Rezolucijaki úroveň vaš o rezultato; keripe pe 4k šaj kamel keľik minuta.

standardno auto

Aspect ratio vaš o rezultato. Ande editovanie, Auto ľikerel o ratio e anglune referencake kiposko.

Lučhe output_format · version · safety_tolerance · enable_prompt_expansion
output_format standardno jpeg

Fajlo-formato e rezultato kipoqo.

standardno latest

Verzia e modeloski savi te përdživel.

standardno 2

Safety tolerance katar naj-striktneder ustawipen 0 ži 4.

POST /run/blackforestlabs/flux-3/text-to-image?wait=20 hesab → $0.048
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal Flux 3 Image · Text to Image

Kerel jekh kipo andar `prompt`, `resolution` tier-esa setirime ko 512sq, 768sq, 1k, 2k vaj 4k; 4k šaj te lel ke generacia buter minuta. `aspect_ratio` del ratio andar 21:9 dži 1:2, vaj auto. Opcie si `enable_prompt_expansion`, `safety_tolerance` (0 dži 4), thaj jpeg vaj png `output_format`.

Parametra

NavTip standardnoMuklo Vakeripe
prompttrubul
Tipstring
Prompto savo dromarel kipoqo generiripe.
aspect_ratioopcionalno
Tipenum
standardnoauto
auto21:92:116:93:27:54:35:41:14:53:45:72:39:161:2
Aspect ratio vaš o rezultato. Ande editovanie, Auto ľikerel o ratio e anglune referencake kiposko.
resolutionopcionalno
Tipenum
standardno1k
512sq768sq1k2k4k
Rezolucijaki úroveň vaš o rezultato; keripe pe 4k šaj kamel keľik minuta.
enable_prompt_expansionopcionalno
Tipboolean
standardnofalse
Kontrolinel prompt-expansion bi paruvipena e mangľe významoski vaj rolengiri.
safety_toleranceopcionalno
Tipinteger
standardno2
0 – 4
Safety tolerance katar naj-striktneder ustawipen 0 ži 4.
output_formatopcionalno
Tipenum
standardnojpeg
jpegpng
Fajlo-formato e rezultato kipoqo.
versionopcionalno
Tipstring
standardnolatest
Verzia e modeloski savi te përdživel.
trubul

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 48,
    "usd": "0.048",
    "charged": 48,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
images
array of object {url, content_type, file_name, file_size, width, height}Kipo kerdo le modelostar.

Bute modeli: Teksto ko Kip

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/blackforestlabs/flux-3/text-to-image.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt